package com.bocloud.ims.service.model;

public class PlatformAbstract {

	private OpenstackAbstract openstack;
	private VmwareAbstract vmware;

	/**
	 * @return the openstack
	 */
	public OpenstackAbstract getOpenstack() {
		return openstack;
	}

	/**
	 * @param openstack
	 *            the openstack to set
	 */
	public void setOpenstack(OpenstackAbstract openstack) {
		this.openstack = openstack;
	}

	/**
	 * @return the vmware
	 */
	public VmwareAbstract getVmware() {
		return vmware;
	}

	/**
	 * @param vmware
	 *            the vmware to set
	 */
	public void setVmware(VmwareAbstract vmware) {
		this.vmware = vmware;
	}

	public PlatformAbstract() {
		super();
	}

	public PlatformAbstract(OpenstackAbstract openstack, VmwareAbstract vmware) {
		super();
		this.openstack = openstack;
		this.vmware = vmware;
	}

}
